import { ProgressBarProps } from './types';
export declare const ProgressBarContainer: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    borderColor?: string | undefined;
}, never>;
export declare const ProgressBarHeader: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const LabelText: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, {}, never>;
export declare const LabelDetailsText: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, {}, never>;
export declare const AssistiveText: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, {}, never>;
export declare const ProgressBarEmpty: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const ProgressBarFiller: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    width: number;
    color: ProgressBarProps['color'];
}, never>;
export declare const IndeterminateProgressBarFiller: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    width: number;
    color: ProgressBarProps['color'];
}, never>;
